### Hierarchy

- NockBack

### Callable

- __call(fixtureName: string, nockedFn: function): void
- __call(fixtureName: string, options: NockBackOptions, nockedFn: function): void
- __call(fixtureName: string, options?: NockBackOptions): Promise<object>

- - Defined in node_modules/@types/nock/index.d.ts:160

  #### Parameters

  - ##### fixtureName: string

  - ##### nockedFn: function

    - - (nockDone: function): void

      - #### Parameters

        - ##### nockDone: function

          - - (): void

            - #### Returns void

- - Defined in node_modules/@types/nock/index.d.ts:162

  #### Parameters

  - ##### fixtureName: string

  - ##### options: NockBackOptions

  - ##### nockedFn: function

    - - (nockDone: function): void

      - #### Parameters

        - ##### nockDone: function

          - - (): void

            - #### Returns void

- - Defined in node_modules/@types/nock/index.d.ts:163

  #### Parameters

  - ##### fixtureName: string

  - ##### Optional options: NockBackOptions

  #### Returns Promise<object>

## Index

### Properties

- fixtures

### Methods

- setMode

## Properties

### fixtures

fixtures: string

- Defined in node_modules/@types/nock/index.d.ts:159

## Methods

### setMode

- setMode(mode: NockBackMode): void

- - Defined in node_modules/@types/nock/index.d.ts:160

  #### Parameters

  - ##### mode: NockBackMode

  #### Returns void

Generated using TypeDoc